Last Comment Bug 802620 - crash in mozilla::FileBlockCache::Read @ libstagefright.so@0xf... on devices with Mali-400 MP GPU running ICS
: crash in mozilla::FileBlockCache::Read @ libstagefright.so@0xf... on devices ...
Status: NEW
[native-crash], [swdecoder]
: crash, steps-wanted
Product: Firefox for Android
Classification: Client Software
Component: Graphics, Panning and Zooming (show other bugs)
: 17 Branch
: ARM Android
: -- critical (vote)
: Firefox 19
Assigned To: Nobody; OK to take it and work on it
: Kevin Brosnan [:kbrosnan]
Mentors:
Depends on: 806369
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 07:56 PDT by Scoobidiver (away)
Modified: 2016-07-29 14:30 PDT (History)
10 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed


Attachments
List of devices for libstagefright.so@0xf... crash signatures (1.02 KB, text/plain)
2012-10-17 23:20 PDT, Scoobidiver (away)
no flags Details

Description Scoobidiver (away) 2012-10-17 07:56:27 PDT
With combined signatures, it's #5 top crasher in 17.0b1.
It might be related to bug 787319.

Signature 	libstagefright.so@0xf6f0a More Reports Search
UUID	42869678-d7de-4e64-9e22-93d332121017
Date Processed	2012-10-17 14:27:21
Uptime	799
Last Crash	13.9 hours before submission
Install Age	4.1 days since version was first installed.
Install Time	2012-10-13 10:55:22
Product	FennecAndroid
Version	17.0
Build ID	20121010211745
Release Channel	beta
OS	Linux
OS Version	0.0.0 Linux 3.0.8+ #46 PREEMPT Wed Mar 28 14:15:15 CST 2012 armv7l
Build Architecture	arm
Build Architecture Info	
Crash Reason	SIGSEGV
Crash Address	0xdeadbaad
App Notes 	
AdapterDescription: 'ARM -- Mali-400 MP -- OpenGL ES 2.0 -- Model: T01A, Product: crane_evb, Manufacturer: unknown, Hardware: sun4i'
EGL? EGL+ GL Context? GL Context+ GL Layers? GL Layers+ WebGL? WebGL+ 
unknown T01A
softwinners/crane_evb/crane-evb:4.0.3/IML74K/20120328:eng/test-keys
EMCheckCompatibility	True
Adapter Vendor ID	ARM
Adapter Device ID	Mali-400 MP
Device	unknown T01A
Android API Version	15 (REL)
Android CPU ABI	armeabi-v7a

Frame 	Module 	Signature 	Source
0 	libc.so 	libc.so@0x17660 	
1 	libstagefright.so 	libstagefright.so@0xf6f0a 	
2 	libstagefright.so 	libstagefright.so@0xf6f0a 	
3 	libstagefright.so 	libstagefright.so@0xf6f0a 	
4 	libcutils.so 	libcutils.so@0x3f3f 	
5 	libxul.so 	array_slice 	js/src/jsarray.cpp:2955
6 		@0x69536d1e 	
7 	OMXCodec (deleted) 	OMXCodec @0x26971 	
8 	dalvik-heap (deleted) 	dalvik-heap @0xbafa944 	
9 	dalvik-heap (deleted) 	dalvik-heap @0x5b8a25d 	
10 	pkg.apk 	pkg.apk@0x46f544 	
11 	dalvik-heap (deleted) 	dalvik-heap @0x4b1af42 	
12 	libnspr4.so 	PR_Unlock 	nsprpub/pr/src/pthreads/ptsynch.c:205
13 	libxul.so 	mozilla::FileBlockCache::Read 	Mutex.h:83 

More reports at:
https://crash-stats.mozilla.com/query/query?product=FennecAndroid&query_search=signature&query_type=contains&query=libstagefright.so%400xf&do_query=1
Comment 2 Alex Keybl [:akeybl] 2012-10-17 16:20:43 PDT
Assigning to Chris Double to help take a look here for FF17.
Comment 3 Alex Keybl [:akeybl] 2012-10-17 16:22:31 PDT
Chris - please email us if you don't have access to a Mali-400 MP GPU device to investigate and need it.
Comment 5 cajbir (:cajbir) 2012-10-17 16:50:22 PDT
I appear to be crashreport-challenged, how does one find an url for testing from a crash report? Can someone provide a SFW url here?

Alex, I don't have have a Mali-400 GPU device and will probably need one to investigate. Do you have a brand name for a device that has this GPU? Once I have an URL to test on other devices I'll confirm.
Comment 6 Scoobidiver (away) 2012-10-17 23:20:22 PDT
Created attachment 672693 [details]
List of devices for libstagefright.so@0xf... crash signatures

(In reply to Chris Double (:doublec) from comment #5)
> Do you have a brand name for a device that has this GPU?
See the attachment.
Comment 7 Chris Peterson [:cpeterson] 2012-10-18 09:46:22 PDT
The 0xdeadbaad SIGSEGV is indicative of bionic's abort() function. This is probably a case of Stagefright's CHECK() macro, which aborts on failure.
Comment 8 cajbir (:cajbir) 2012-10-18 12:02:02 PDT
Is there an example URL that demonstrates the crash?
Comment 9 Kevin Brosnan [:kbrosnan] 2012-10-18 12:21:29 PDT
Email sent with URLs. They are all adult in nature thus not included in this report.
Comment 10 cajbir (:cajbir) 2012-10-18 20:37:05 PDT
I've tested these URLs on a Galaxy S 2 (GT-I9100) running ICS 4.0.3 and couldn't reproduce the crash.
Comment 11 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-10-22 14:51:18 PDT
LGE LG-P500 	6
ZTE Skate
Sony Tablet S 	8
LGE LG-P500 	16
Unknown BC1003 	8
Unknown MID 	5
Unknown P300(Funbook) 	21
Unknown AK-MINI-PC-001 	4
Unknown MID 	16
Unknown M1001 	13
Unknown GT-7205S 	12
Unknown i-mobile i-note WiFi 	8
Unknown GT-7200 	5
Comment 12 Alex Keybl [:akeybl] 2012-10-23 16:38:17 PDT
(In reply to Naoki Hirata :nhirata from comment #11)
> LGE LG-P500 	6
> ZTE Skate
> Sony Tablet S 	8
> LGE LG-P500 	16
> Unknown BC1003 	8
> Unknown MID 	5
> Unknown P300(Funbook) 	21
> Unknown AK-MINI-PC-001 	4
> Unknown MID 	16
> Unknown M1001 	13
> Unknown GT-7205S 	12
> Unknown i-mobile i-note WiFi 	8
> Unknown GT-7200 	5

Let's try reproducing now that we've identified these affected devices. Adding steps-wanted.
Comment 13 Alex Keybl [:akeybl] 2012-10-25 14:56:30 PDT
Let's try with the Optimus One (LGE LG-P500).
Comment 14 Kevin Brosnan [:kbrosnan] 2012-10-25 15:16:48 PDT
LGE LG-P500 is a ARMv6 phone. The only way it is running ICS is if it was rooted and running a custom rom.
Comment 15 Alex Keybl [:akeybl] 2012-10-26 15:17:06 PDT
(In reply to Kevin Brosnan [:kbrosnan] from comment #14)
> LGE LG-P500 is a ARMv6 phone. The only way it is running ICS is if it was
> rooted and running a custom rom.

Let's get an order going for a Sony Tablet S in that case. It does run ICS.
Comment 16 Aaron Train [:aaronmt] 2012-10-29 14:27:14 PDT
Drive-by triage comment:

QA seeking out this device for purchase
Comment 17 Tony Chung [:tchung] 2012-10-29 16:49:26 PDT
(In reply to Aaron Train [:aaronmt] from comment #16)
> Drive-by triage comment:
> 
> QA seeking out this device for purchase

ordered.
Comment 18 Maire Reavy [:mreavy] 2012-10-30 12:02:28 PDT
Assuming this is a hw decoder problem given the GPU comment.

The plan is to land Bug 806369 (create a blacklist) to deal with this blocker issue here for Firefox 17.  The root cause fix will addressed after Firefox 17.
Comment 19 Marcia Knous [:marcia - use ni] 2012-10-31 17:54:08 PDT
Removing needURLs since they have been emailed according to Comment 9.
Comment 20 Lukas Blakk [:lsblakk] use ?needinfo 2012-11-05 16:04:49 PST
(In reply to Maire Reavy [:mreavy] from comment #18)
> Assuming this is a hw decoder problem given the GPU comment.
> 
> The plan is to land Bug 806369 (create a blacklist) to deal with this
> blocker issue here for Firefox 17.  The root cause fix will addressed after
> Firefox 17.


Since we're using the blacklist for 17, I'm marking 'wontfix' and bumping tracking on 18 so this stays on our radar for the root issue.
Comment 21 Scoobidiver (away) 2012-11-10 06:09:32 PST
Because of the StageFright blacklisting on ICS except for Samsung devices, there are no crashes in 17.0b5 and after 18.0a2/20121108.
The underlying issue is not fixed though.
Comment 22 Scoobidiver (away) 2012-11-11 07:07:20 PST
I thinks it's a SW decoder issue that the blocklist handles.
Comment 23 cajbir (:cajbir) 2012-11-13 11:42:31 PST
Should this be untracked for FF18 given that it no longer crashes due to the blocklist? The underlying issue won't be fixed for FF18 if a fix is required by 19/11.
Comment 24 Scoobidiver (away) 2012-11-13 23:01:05 PST
Fixed by bug 806369.
Comment 25 Kevin Brosnan [:kbrosnan] 2012-11-14 14:48:18 PST
We want this bug open so that we can fix the actual issue.
Comment 26 cajbir (:cajbir) 2013-02-26 18:15:22 PST
(In reply to Tony Chung [:tchung] from comment #17)
> (In reply to Aaron Train [:aaronmt] from comment #16)
> > Drive-by triage comment:
> > 
> > QA seeking out this device for purchase
> 
> ordered.

Did the device arrive? If so can QA confirm if the bug exists if they disable the blocklist?
Comment 27 Kevin Brosnan [:kbrosnan] 2013-02-26 18:27:00 PST
Looks like the Sony Tablet S we received has a nVidia GPU.
Comment 28 cajbir (:cajbir) 2014-06-24 15:31:51 PDT
Is this still happening?
Comment 30 jj 2015-01-14 15:22:24 PST
Need Help debugging software device?

I have a device with a product. model = software evb 13 with product.device= crane-evb.  I would like to know the vendor ID for that is to use it for debugging windows USB and or linux or ubuntu? How do I general Debug this device.  What drivers do I need?

Note You need to log in before you can comment on or make changes to this bug.